BN_copy(3)

NAME
BN_copy, BN_dup - copy BIGNUMs

LIBRARY
libcrypto, -lcrypto

SYNOPSIS

 #include <openssl/bn.h>
 BIGNUM *BN_copy(BIGNUM *to, const BIGNUM *from);
 BIGNUM *BN_dup(const BIGNUM *from);

DESCRIPTION
BN_copy() copies from to to. BN_dup() creates a new BIGNUM containing the value from.

RETURN VALUES
BN_copy() returns to on success, NULL on error. BN_dup() returns the new BIGNUM, and NULL on error. The error codes can be obtained by the ERR_get_error(3)|ERR_get_error(3) manpage.

SEE ALSO
the bn(3)|bn(3) manpage, the err(3)|err(3) manpage

HISTORY
BN_copy() and BN_dup() are available in all versions of SSLeay and OpenSSL.